ru.bitel.bgbilling.kernel.base.phone.server.bean

## Class GeographicCodeManager

- java.lang.Object
- - ru.bitel.bgbilling.kernel.base.phone.server.bean.GeographicCodeManager

-     public class GeographicCodeManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeographicCodeManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `delete(java.lang.String code)`
    `GeographicCode` | `getTree()`
    `GeographicCode` | `getTree(boolean destinationTitle)`
    `void` | `importFromFile(java.lang.String data, java.lang.String prfx, boolean addNew, boolean updateExist)`
    `void` | `importFromFile(java.lang.String data, java.lang.String prfx, boolean addNew, boolean updateExist, boolean compact)`
    `java.util.List<GeographicCode>` | `list()`
    `static java.util.List<java.lang.String>` | `parsePrefixes(java.lang.String string, boolean withRanges)`
    `void` | `update(GeographicCode code)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeographicCodeManager

          public GeographicCodeManager(java.sql.Connection con,
                                       int mid)

  - ### Method Detail

    - #### list

          public java.util.List<GeographicCode> list()
                                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getTree

          public GeographicCode getTree(boolean destinationTitle)
                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getTree

          public GeographicCode getTree()
                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### update

          public void update(GeographicCode code)
                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### delete

          public int delete(java.lang.String code)
                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### importFromFile

          public void importFromFile(java.lang.String data,
                                     java.lang.String prfx,
                                     boolean addNew,
                                     boolean updateExist)
                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### importFromFile

          public void importFromFile(java.lang.String data,
                                     java.lang.String prfx,
                                     boolean addNew,
                                     boolean updateExist,
                                     boolean compact)
                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### parsePrefixes

          public static java.util.List<java.lang.String> parsePrefixes(java.lang.String string,
                                                                       boolean withRanges)
                                                                throws ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGMessageException`